package com.tzld.piaoquan.api.model.bo;

import java.util.List;

public class ArticleInfo {

    private String publishContentId;

    private String title;

    private String content;

    private String coverUrl;

    private List<String> imageUrls;

    private Long createTimestamp;

    private String producePlanName;

    private String crawlerChannelContentId;

    private String crawlerLink;

    private String crawlerTitle;

    private String crawlerCoverUrl;

    private Integer crawlerViewCount;

    private Integer crawlerLikeCount;

    private Long crawlerPublishTimestamp;

    private String crawlerAccountName;

    public String getPublishContentId() {
        return publishContentId;
    }

    public void setPublishContentId(String publishContentId) {
        this.publishContentId = publishContentId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public List<String> getImageUrls() {
        return imageUrls;
    }

    public void setImageUrls(List<String> imageUrls) {
        this.imageUrls = imageUrls;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public String getProducePlanName() {
        return producePlanName;
    }

    public void setProducePlanName(String producePlanName) {
        this.producePlanName = producePlanName;
    }

    public String getCrawlerChannelContentId() {
        return crawlerChannelContentId;
    }

    public void setCrawlerChannelContentId(String crawlerChannelContentId) {
        this.crawlerChannelContentId = crawlerChannelContentId;
    }

    public String getCrawlerLink() {
        return crawlerLink;
    }

    public void setCrawlerLink(String crawlerLink) {
        this.crawlerLink = crawlerLink;
    }

    public String getCrawlerTitle() {
        return crawlerTitle;
    }

    public void setCrawlerTitle(String crawlerTitle) {
        this.crawlerTitle = crawlerTitle;
    }

    public String getCrawlerCoverUrl() {
        return crawlerCoverUrl;
    }

    public void setCrawlerCoverUrl(String crawlerCoverUrl) {
        this.crawlerCoverUrl = crawlerCoverUrl;
    }

    public Integer getCrawlerViewCount() {
        return crawlerViewCount;
    }

    public void setCrawlerViewCount(Integer crawlerViewCount) {
        this.crawlerViewCount = crawlerViewCount;
    }

    public Integer getCrawlerLikeCount() {
        return crawlerLikeCount;
    }

    public void setCrawlerLikeCount(Integer crawlerLikeCount) {
        this.crawlerLikeCount = crawlerLikeCount;
    }

    public Long getCrawlerPublishTimestamp() {
        return crawlerPublishTimestamp;
    }

    public void setCrawlerPublishTimestamp(Long crawlerPublishTimestamp) {
        this.crawlerPublishTimestamp = crawlerPublishTimestamp;
    }

    public String getCrawlerAccountName() {
        return crawlerAccountName;
    }

    public void setCrawlerAccountName(String crawlerAccountName) {
        this.crawlerAccountName = crawlerAccountName;
    }
}